
from fastapi import FastAPI
from pydantic import BaseModel
import random

def create_random_api():
    app = FastAPI()

    class Item(BaseModel):
        name: str
        description: str = None
        price: float
        tax: float = None

    @app.post("/items/")
    async def create_item(item: Item):
        # The item data will be stored in the database or processed further
        return item

    return app

# JSON response
